Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.lookup.entry
Class BasicServiceType

    java.lang.Object
      net.jini.entry.AbstractEntry
          net.jini.lookup.entry.ServiceType
              com.sun.jini.lookup.entry.BasicServiceType

All Implemented Interfaces:
  Entry, Serializable, ServiceControlled

public class BasicServiceType
extends ServiceType

An implementation of ServiceType that uses ResourceBundles. If the value of the public field type contains at least one dot ('.'), then the value of the field is used as the name of the ResourceBundle. Otherwise, the name of the ResourceBundle is obtained by prefixing "net.jini.lookup.entry.servicetype." to the value of the public field. The default locale is used.

See Also:
  Serialized Form

Field Summary
`String` | `type` The type of service.

Constructor Summary
`BasicServiceType()` Simple constructor, leaves type field set to null.
`BasicServiceType(String type)` Simple constructor, sets type field to parameter value.

Method Summary
`String` | `getDisplayName()` Returns the resource named "name", else the type field stripped of any package prefix (i.e., any characters up to and including the last dot ('.').
`Image` | `getIcon(int iconKind)` Returns the resource named "icon.
`String` | `getShortDescription()` Returns the resource named "desc", else null.

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public String type

  The type of service.

Constructor Detail

### BasicServiceType

    public BasicServiceType()

  Simple constructor, leaves type field set to null.

### BasicServiceType

    public BasicServiceType(String type)

  Simple constructor, sets type field to parameter value.

Parameters:
  `type` - type of service

Method Detail

### getIcon

    public Image getIcon(int iconKind)

  Returns the resource named "icon.int", else null.

  Overrides:
    `getIcon` in class `ServiceType`
  Parameters:
    `iconKind` - the kind of icon to return
  Returns:
    the icon for this service

### getDisplayName

    public String getDisplayName()

  Returns the resource named "name", else the type field stripped of any package prefix (i.e., any characters up to and including the last dot ('.').

  Overrides:
    `getDisplayName` in class `ServiceType`
  Returns:
    the localized display name of this service

### getShortDescription

    public String getShortDescription()

  Returns the resource named "desc", else null.

  Overrides:
    `getShortDescription` in class `ServiceType`
  Returns:
    a String representing the short description of this service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved